Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v4.actual.common
Class DmppKeyType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.actual.common.DmppKeyType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConsultDmppType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:31+01:00",
               comments="JAXB RI v2.2.11")
    public class DmppKeyType

extends Object
implements Serializable

Java class for DmppKeyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DmppKeyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="DeliveryEnvironment" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DeliveryEnvironmentType" />
           <attribute name="Code" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeType" />
           <attribute name="CodeType" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeTypeType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DmppKeyType()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`String` | `getCodeType()` Gets the value of the codeType property.
`String` | `getDeliveryEnvironment()` Gets the value of the deliveryEnvironment property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setCodeType(String value)` Sets the value of the codeType property.
`void` | `setDeliveryEnvironment(String value)` Sets the value of the deliveryEnvironment property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DmppKeyType

    public DmppKeyType()

Method Detail

### getDeliveryEnvironment

    public String getDeliveryEnvironment()

  Gets the value of the deliveryEnvironment property.

  Returns:
    possible object is `String`

### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)

  Sets the value of the deliveryEnvironment property.

  Parameters:
    `value` - allowed object is `String`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getCodeType

    public String getCodeType()

  Gets the value of the codeType property.

  Returns:
    possible object is `String`

### setCodeType

    public void setCodeType(String value)

  Sets the value of the codeType property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.